<?php
  $result=mysql_query("select * from encuestas where estado='1' and principal='1' and (tipo_contenido='2' or tipo_contenido='".$current_valid."') order by fecha desc limit 1",$link);
  if($row=mysql_fetch_array($result)) {
    mysql_free_result($result);
?>
<SCRIPT language=javascript type=text/javascript>
function mirarvotos(arg) 
{
  var ok=false;

  for(i=0;i<arg.encuesta.length;i++) {
    if(arg.encuesta[i].checked) {
      ok=true; 
    }
  }
  if (!ok) {
    alert('Ha de seleccionar una opcio per poder votar');
    return false;
  }
  return true;
}
</SCRIPT>
<table width="100%"  border="0" cellspacing="2" cellpadding="2">
        <tr>
          <td></td>
        </tr>
</table>
      <table width="100%"  border="0" cellpadding="2" cellspacing="2" bgcolor="#E7E5DD" class="tablaenquest">
        <tr bgcolor="#07294E">
          <td colspan="2" class="verblanc"><div align="center"><strong>Enquesta</strong></div></td>
        </tr>
        <tr>
          <td colspan="2" class="verddeu"><?php echo $row["titulo"]; ?></td>
        </tr>
<form name=votos_izq action=votar.php method=post>
<input type=hidden name=querystring value="<?php echo $querystring; ?>">
<?php
  for($i=1;$i<=10;$i++) {
    $option=sprintf("opt%d",$i);
    if($row[$option]!="") {
?>
        <tr>
          <td width="20%" class="verddeu"><div align="center">
            <input name="encuesta" type="radio" value="value_<?php echo $row["id"]."_".$i ?>">
          </div></td>
          <td width="80%" class="verddeu">
            <div align="left"><?php echo $row[$option]; ?></div></td>
        </tr>
<?php 
    }
  }
?>        
        <tr>
          <td colspan="2" class="verddeu"><div align="center">
              <input type="button" class="verdneg" value="Votar" onclick="javascript:if(mirarvotos(votos_izq)) document.votos_izq.submit();">
          </div></td>
        </tr>
        <tr bgcolor="#F5F4F1">
          <td colspan="2" bgcolor="#F5F4F1"></form><p class="verddeu"><a href="inicio.php?page=encuestas&id=<?php echo $row["id"]; ?>"><img src="img/icon2.gif" width="12" height="8" border="0">Resultats enquesta </a> </p>          </td>
        </tr>
        <tr bgcolor="#F5F4F1">
          <td colspan="2"><span class="verddeu"><a href="inicio.php?page=encuestas"><img src="img/icon2.gif" width="12" height="8" border="0">Enquestes anteriors </a></span></td>
        </tr>
      </table>
<?php } ?> <br>
<a href="inicio.php?page=buscacol"><img src="img/cercador_de_mediadors.gif" width="145" height="222" border="0"></a><br>